Bug 1271349 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): kscreenlocker_greet killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): kscreenlocker_greet k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fd5eaec99342c3bc7a1abf55e27...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 13:44 EDT by Randy Barlow
Modified: 2017-08-08 08:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.45 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: cgroup (200 bytes, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: core_backtrace (5.22 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: dso_list (18.47 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: environ (1.42 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: maps (88.09 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: mountinfo (3.07 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: open_fds (131 bytes, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: proc_pid_status (1.16 KB, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-13 13:44 EDT, Randy Barlow
no flags Details

  None (edit)
Description Randy Barlow 2015-10-13 13:44:21 EDT
Version-Release number of selected component:
plasma-workspace-5.4.2-4.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/kscreenlocker_greet --immediateLock --ksldfd 48
crash_function: KCrash::defaultCrashHandler
executable:     /usr/libexec/kscreenlocker_greet
global_pid:     3318
kernel:         4.3.0-0.rc4.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kcrash-5.15.0/src/kcrash.cpp:418
 #3 g_wakeup_signal at gwakeup.c:232
 #4 QCoreApplication::postEvent at kernel/qcoreapplication.cpp:1388
 #5 queued_activate at kernel/qobject.cpp:3569
 #6 QMetaObject::activate at kernel/qobject.cpp:3665
 #8 QXcbEventReader::eventPending at .moc/moc_qxcbconnection.cpp:133
 #9 QXcbEventReader::run at qxcbconnection.cpp:1235
 #10 QThreadPrivate::start at thread/qthread_unix.cpp:331
Comment 1 Randy Barlow 2015-10-13 13:44:26 EDT
Created attachment 1082534 [details]
File: backtrace
Comment 2 Randy Barlow 2015-10-13 13:44:27 EDT
Created attachment 1082535 [details]
File: cgroup
Comment 3 Randy Barlow 2015-10-13 13:44:28 EDT
Created attachment 1082537 [details]
File: core_backtrace
Comment 4 Randy Barlow 2015-10-13 13:44:29 EDT
Created attachment 1082539 [details]
File: dso_list
Comment 5 Randy Barlow 2015-10-13 13:44:31 EDT
Created attachment 1082540 [details]
File: environ
Comment 6 Randy Barlow 2015-10-13 13:44:32 EDT
Created attachment 1082541 [details]
File: limits
Comment 7 Randy Barlow 2015-10-13 13:44:34 EDT
Created attachment 1082542 [details]
File: maps
Comment 8 Randy Barlow 2015-10-13 13:44:35 EDT
Created attachment 1082543 [details]
File: mountinfo
Comment 9 Randy Barlow 2015-10-13 13:44:36 EDT
Created attachment 1082544 [details]
File: open_fds
Comment 10 Randy Barlow 2015-10-13 13:44:37 EDT
Created attachment 1082545 [details]
File: proc_pid_status
Comment 11 Randy Barlow 2015-10-13 13:44:38 EDT
Created attachment 1082546 [details]
File: var_log_messages
Comment 12 Jan Kurik 2016-02-24 08:50:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 13 Fedora End Of Life 2017-07-25 15:22:02 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2017-08-08 08:18:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.